EDGE(9)

NAME

edge - Edge detector

SYNOPSIS

loadrt edge [count=N|names=name1[,name2...]]

FUNCTIONS

edge.N
    Produce output pulses from input edges

PINS

edge.N.in bit in

edge.N.out bit out
    Goes high when the desired edge is seen on 'in'

edge.N.out-invert bit out
    Goes low when the desired edge is seen on 'in'

PARAMETERS

edge.N.both bit rw (default: FALSE)
    If TRUE, selects both edges. Otherwise, selects one edge according to in-edge

edge.N.in-edge bit rw (default: TRUE)
    If both is FALSE, selects the one desired edge: TRUE means falling, FALSE means rising

edge.N.out-width-ns s32 rw (default: 0)
    Time in nanoseconds of the output pulse

edge.N.time-left-ns s32 r
    Time left in this output pulse

edge.N.last-in bit r
    Previous input value

AUTHOR

Jeff Epler

LICENSE

GPL